summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/pre-commit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/hooks/pre-commit.sh')
-rwxr-xr-xBiz/Ide/hooks/pre-commit.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/pre-commit.sh b/Biz/Ide/hooks/pre-commit.sh
new file mode 100755
index 0000000..e7c34ab
--- /dev/null
+++ b/Biz/Ide/hooks/pre-commit.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+#
+# - prevent frozen code from being checked in
+# - guard against lint errors
+##
+ set -e
+ mapfile -t changed < <(git diff-index --cached --name-only HEAD)
+ for ns in "${changed[@]}"
+ do
+ version=$("${CODEROOT:?}"/Biz/Ide/version "$ns")
+ if [[ $version -eq -1 ]]; then
+ echo "info: version: $ns: deleted"
+ elif [[ $version -lt 1 ]]; then
+ echo "fail: version: $ns: $version"
+ exit 1
+ else
+ echo "info: version: $ns: $version"
+ fi
+ done
+ lint "${changed[@]}"
+##